Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.tokens
Class Reader

    java.lang.Object
      org.pdfclown.tokens.Reader

All Implemented Interfaces:
  Closeable

    public final class Reader

extends Object
implements Closeable

PDF file reader.

Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Reader.FileInfo`

Constructor Summary
`Reader(IInputStream stream, File file)` For internal use only.

Method Summary
`void` | `close()`
`protected void` | `finalize()`
`FileParser` | `getParser()`
`int` | `hashCode()`
`Reader.FileInfo` | `readInfo()` Retrieves the file information.

Methods inherited from class java.lang.Object
`clone, equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reader

    public Reader(IInputStream stream,
                  File file)

  For internal use only.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getParser

    public FileParser getParser()

### readInfo

    public Reader.FileInfo readInfo()

  Retrieves the file information.

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.